View Issue Details

IDProjectCategoryView StatusLast Update
0000301Main CAcert Websiteweb of trustpublic2013-01-16 08:15
Reporterduane Assigned To 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionduplicate 
PlatformMain CAcert WebsiteOSN/A 
Product Version2007 
Target Version2013 Q1Fixed in Version2013 Q1 
Summary0000301: Modification of the assurance system to track deletions
DescriptionCurrently there is nothing in place to log who and when an assurance was revoked.

Possible solution might be to add 2 extra fields to the notary table, "Deleted When" and "Deleted UID" so it tracks when and who revoked the assurance.

All existing code would need to be updated to check if the "Deleted When" field is set, and additional code could be added to the admin interface to highlight that assurances were made, but they were revoked.
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0001138 closedNEOatNHNG Implement to log the SE activity 
related to 0000114 closed Revocation Reason 
related to 0001135 closedegal Extend database table AdminLog et al 
child of 0001054 needs review & testingTed Review the code regarding the new point calculation in ./includes/general.php 

Activities

evaldo

2007-06-25 08:29

developer   ~0000864

Deleting assurances from the database is just wrong. We need to keep track of all assurances ever made.

INOPIAE

2013-01-16 08:14

updater   ~0003678

Will be fixed in the course of bug 1138

Issue History

Date Modified Username Field Change
2006-08-16 05:14 duane New Issue
2006-08-16 05:14 duane Status new => needs work
2006-08-16 05:14 duane Assigned To => duane
2007-06-25 08:29 evaldo Note Added: 0000864
2007-06-25 08:29 evaldo Assigned To duane =>
2007-06-25 08:29 evaldo Priority low => high
2007-06-25 08:29 evaldo Status needs work => confirmed
2012-12-20 19:09 Werner Dworak Relationship added child of 0001054
2013-01-07 15:00 Werner Dworak Relationship added related to 0000114
2013-01-09 10:56 Werner Dworak Relationship added related to 0001135
2013-01-16 08:12 INOPIAE Relationship added related to 0001138
2013-01-16 08:14 INOPIAE Note Added: 0003678
2013-01-16 08:14 INOPIAE Status confirmed => closed
2013-01-16 08:14 INOPIAE Resolution open => duplicate
2013-01-16 08:15 INOPIAE Product Version => 2007
2013-01-16 08:15 INOPIAE Fixed in Version => 2013 Q1
2013-01-16 08:15 INOPIAE Target Version => 2013 Q1